<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width-device-width, initial-scale=1.0">
        <title>Challenges Acamica</title>
    </head>
    <body>
        <h3>Vehiculos</h3>
        <form>
            <label for="vehiculo">Agregar vehiculo: </label>
            <input type="text" id="vehiculo" required>
            <br>
            <button type="button" id="submit">Agregar</button>
            <button type="button" id="eliminarUlt">Eliminar Ultimo</button>
            <button type="button" id="eliminarPri">Eliminar Primero</button>
        </form>
        <div>
            <ul id="listado"> 
            </ul>
        </div>
        <script>
            // Agrega vehiculos al array //
            let vehiculos = new Array();
            document.getElementById('submit').addEventListener('click', function (){
                vehiculos.push(document.getElementById('vehiculo').value);
                mostrarLista(vehiculos);
            });

            //Elimina el ult vehiculo agregado //
            document.getElementById('eliminarUlt').addEventListener('click', function (){
                vehiculos.pop();
                mostrarLista(vehiculos);
            });

            //Elimina el primer vehiculo agregado //
            document.getElementById('eliminarPri').addEventListener('click', function (){
                vehiculos.shift();
                mostrarLista(vehiculos);
            });
            
            // Funcion p/ mostrar listado de vehiculos cargados (recibe array de vehiculos)//
            function mostrarLista(vehiculos) {
                let resultado = '';
                for(let i=0; i<vehiculos.length; i++) {
                    resultado = resultado + '<li>' + vehiculos[i] + '</li>';
                }
                document.getElementById('listado').innerHTML = resultado;
            }
        </script>
    </body>
</html>